ControlPoleManagerData Class

class NXOpen.GeometricUtilities.ControlPoleManagerData

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

This class manages the control poles for a set of surfaces or curves.

New in version NX6.0.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
CreatePolesGroup Creates a new poles group
DeletePolesGroup Deletes a group of poles
DeselectPoles Removes selected pole
GetIsUPeriodic Queries periodicity in U direction of a group of poles
GetIsVPeriodic Queries periodicity in V direction of a group of poles
GetPoles Gets poles of an entity
GetSelectedPoles Gets selected poles
GetUDimension Queries dimension in U direction of a group of poles
GetVDimension Queries dimension in V direction of a group of poles
SelectPoles Adds new selected pole
SetIsUPeriodic Sets periodicity in U direction of a group of poles
SetIsVPeriodic Sets periodicity in V direction of a group of poles
SetPoleGroupEntity Sets face to control poles group
SetPoles Sets new group poles
SetUDimension Sets dimension in U direction of a group of poles
SetVDimension Sets dimension in V direction of a group of poles
UpdatePolePositions Updates pole positions
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Method Detail

CreatePolesGroup

ControlPoleManagerData.CreatePolesGroup

Creates a new poles group

Signature CreatePolesGroup()

Returns:New group index for newly created poles group.
Return type:int

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DeletePolesGroup

ControlPoleManagerData.DeletePolesGroup

Deletes a group of poles

Signature DeletePolesGroup(groupIndex)

Parameters:groupIndex (int) – Group index for the group to be deleted.

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DeselectPoles

ControlPoleManagerData.DeselectPoles

Removes selected pole

Signature DeselectPoles(groupIndex, polesIndex, poles)

Parameters:
  • groupIndex (int) – Entity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
  • polesIndex (list of int) – Poles index
  • poles (list of NXOpen.Point) – Poles

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetIsUPeriodic

ControlPoleManagerData.GetIsUPeriodic

Queries periodicity in U direction of a group of poles

Signature GetIsUPeriodic(groupIndex)

Parameters:groupIndex (int) – poles group index
Returns:U Periodicity
Return type:bool

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetIsVPeriodic

ControlPoleManagerData.GetIsVPeriodic

Queries periodicity in V direction of a group of poles

Signature GetIsVPeriodic(groupIndex)

Parameters:groupIndex (int) – poles group index
Returns:V Periodicity
Return type:bool

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetPoles

ControlPoleManagerData.GetPoles

Gets poles of an entity

Signature GetPoles(groupIndex)

Parameters:groupIndex (int) – Entity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
Returns:a tuple
Return type:A tuple consisting of (polesIndex, poles). polesIndex is a list of int. Poles index poles is a list of NXOpen.Point. Poles

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetSelectedPoles

ControlPoleManagerData.GetSelectedPoles

Gets selected poles

Signature GetSelectedPoles(groupIndex)

Parameters:groupIndex (int) – Entity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
Returns:a tuple
Return type:A tuple consisting of (polesIndex, poles). polesIndex is a list of int. Poles index poles is a list of NXOpen.Point. Poles

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetUDimension

ControlPoleManagerData.GetUDimension

Queries dimension in U direction of a group of poles

Signature GetUDimension(groupIndex)

Parameters:groupIndex (int) – poles group index
Returns:U Dimension
Return type:int

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetVDimension

ControlPoleManagerData.GetVDimension

Queries dimension in V direction of a group of poles

Signature GetVDimension(groupIndex)

Parameters:groupIndex (int) – poles group index
Returns:V Dimension
Return type:int

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SelectPoles

ControlPoleManagerData.SelectPoles

Adds new selected pole

Signature SelectPoles(groupIndex, polesIndex, poles)

Parameters:
  • groupIndex (int) – Entity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
  • polesIndex (list of int) – Poles index
  • poles (list of NXOpen.Point) – Poles

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetIsUPeriodic

ControlPoleManagerData.SetIsUPeriodic

Sets periodicity in U direction of a group of poles

Signature SetIsUPeriodic(groupIndex, uPeriodicity)

Parameters:
  • groupIndex (int) – poles group index
  • uPeriodicity (bool) – U Periodicity

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetIsVPeriodic

ControlPoleManagerData.SetIsVPeriodic

Sets periodicity in V direction of a group of poles

Signature SetIsVPeriodic(groupIndex, vPeriodicity)

Parameters:
  • groupIndex (int) – poles group index
  • vPeriodicity (bool) – V Periodicity

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetPoleGroupEntity

ControlPoleManagerData.SetPoleGroupEntity

Overloaded method SetPoleGroupEntity

  • SetPoleGroupEntity(groupIndex, face)
  • SetPoleGroupEntity(groupIndex, curve)

-------------------------------------

Sets face to control poles group

Signature SetPoleGroupEntity(groupIndex, face)

Parameters:
  • groupIndex (int) – pole group index
  • face (NXOpen.Face) – face

New in version NX7.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Sets curve to control poles group

Signature SetPoleGroupEntity(groupIndex, curve)

Parameters:
  • groupIndex (int) – pole group index
  • curve (NXOpen.Curve) – curve

New in version NX7.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

SetPoles

ControlPoleManagerData.SetPoles

Sets new group poles

Signature SetPoles(groupIndex, polesIndex, poles)

Parameters:
  • groupIndex (int) – Entity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
  • polesIndex (list of int) – Poles index
  • poles (list of NXOpen.Point) – Poles

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetUDimension

ControlPoleManagerData.SetUDimension

Sets dimension in U direction of a group of poles

Signature SetUDimension(groupIndex, uDimension)

Parameters:
  • groupIndex (int) – poles group index
  • uDimension (int) – U Dimension

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetVDimension

ControlPoleManagerData.SetVDimension

Sets dimension in V direction of a group of poles

Signature SetVDimension(groupIndex, vDimension)

Parameters:
  • groupIndex (int) – poles group index
  • vDimension (int) – V Dimension

New in version NX6.0.1.

License requirements: studio_free_form (“STUDIO FREE FORM”)

UpdatePolePositions

ControlPoleManagerData.UpdatePolePositions

Updates pole positions

Signature UpdatePolePositions(groupIndex, poleIndex, newPosition)

Parameters:
  • groupIndex (int) – poles group index
  • poleIndex (list of int) – pole index in the group
  • newPosition (list of NXOpen.Point3d) – Pole new position

New in version NX7.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Validate

ControlPoleManagerData.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.